Name:           hotot
Version:        0.9.8.15
Release:        %mkrel 1
Summary:        Lightweight & open source micro blogging client
Group:          Editors
License:        LGPLv3+ and LGPLv3 and BSD and GPLv2
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
URL:            http://www.hotot.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:   intltool
BuildRequires:   python-distutils-extra
BuildRequires:   %{_lib}python-devel
BuildRequires:   cmake
BuildRequires:   %{_lib}qt4-devel
Requires:        python-webkitgtk
Requires:        python-notify
Requires:        python-keybinder
BuildRoot:	%{_tmppath}/%{name}-%{version}-build 


%description
Hotot, is a lightweight & open source micro blogging client, coding using 
Python language and designed for Linux.  It depends less but supports more. 

Features:
   * OAuth and Basic Auth is supported.
   * Socks Proxy and Http Proxy.
   * Support API Proxy.
   * Support Twitter Search and content filter.
   * Keyboard shortcuts.
   * Extension System.
   * Native notify system. it supports Gnome & KDE SC. 


%prep
%setup -q -n Hotot-%{version}

%build
%cmake

%install
rm -rf %buildroot
pushd build
%makeinstall_std
popd

%find_lang %{name}


%files -f %{name}.lang
%doc LGPL-license.txt ChangeLog TranslationStatus
%{_bindir}/hotot
%{_bindir}/hotot-qt
%{_datadir}/hotot/ext/*
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/hotot/sound/*.wav
%{_datadir}/%{name}/_locales/*/*
%{_datadir}/%{name}/js/*
%{_datadir}/%{name}/css/*
%{_datadir}/%{name}/theme/*
%{_datadir}/%{name}/image/*
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/*.json
%{_datadir}/applications/hotot.desktop
%{python_sitearch}/*
%{_iconsdir}/hicolor/*/apps/*.*
%{_datadir}/%{name}/icons/*/apps/hotot.png
%{_datadir}/%{name}/icons/*/apps/hotot.ico
%{_datadir}/icons/hicolor/scalable/status/*.svg
%{_datadir}/apps/desktoptheme/default/icons/hotot_qt.svg


%clean
rm -rf %buildroot

%changelog
* Thu Aug 28 2014 Agent Smith  <ruidobranco@yahoo.com.br> - 0.9.8.15-1pclos2014
- updated to latest version, fixed search bug.

* Wed May 07 2014 Agent Smith  <ruidobranco@yahoo.com.br> - 0.9.8.14-1pclos2014
- updated to latest version

* Sat Aug 17 2013 billybot <billybot> 0.9.7-2pclos2013
- update python 2.7

